MantisBT

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0005033ATutorPreferencespublic2012-07-24 15:342012-07-26 09:59
Reportergreg 
Assigned Tocindy 
PrioritynormalSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Target Version2.1Fixed in Version2.1 
Summary0005033: Restore default Prefs fails
DescriptionIn 2.1 after setting text preferences to cursive, 1.5x, white on black, pressing the restore defaults button does not restore defaults.
TagsNo tags attached.
Affects versionSVN
SVN Revision#Listed in notes
Attached Files

- Relationships

-  Notes
(0005691)
cindy (administrator)
2012-07-25 09:30

Solution: At the request to restore to system defaults, remove the session vars for foreground color, background color etc. which are set on user preference page.

Affected: include/vitals.inc.php
(0005699)
cindy (administrator)
2012-07-25 15:10

The prefs for "learner support tools" are not saved.
(0005700)
cindy (administrator)
2012-07-25 15:15

Related commits:
130143428c80c3fb84cbc59d6b25d03828315f1b
9c8da4d941315e67462f13f91253739e452ec604
3df812f6d08cd66091380514d0b1b6af5f2f7592

Re-structure the user preference page to,
1. at "restore system defaults", only apply themes immediately in vitals.inc.php. The save on other prefs are preformed at user prefs index script;
2. fixed the issue that the prefs on learner support tools are not saved.

Affected scripts:
include/vitals.inc.php
users/pref_wizard/index.php
users/tool_settings.inc.php
(0005707)
greg (administrator)
2012-07-26 09:59

close for ATutor 2.1

- Issue History
Date Modified Username Field Change
2012-07-24 15:34 greg New Issue
2012-07-24 15:35 greg Assigned To => cindy
2012-07-24 15:35 greg Status new => assigned
2012-07-25 09:30 cindy SVN Revision# => 3df812f6d08cd66091380514d0b1b6af5f2f7592
2012-07-25 09:30 cindy Note Added: 0005691
2012-07-25 09:30 cindy Status assigned => resolved
2012-07-25 09:30 cindy Fixed in Version => 2.1
2012-07-25 09:30 cindy Resolution open => fixed
2012-07-25 15:10 cindy Note Added: 0005699
2012-07-25 15:10 cindy Status resolved => feedback
2012-07-25 15:10 cindy Resolution fixed => reopened
2012-07-25 15:15 cindy SVN Revision# 3df812f6d08cd66091380514d0b1b6af5f2f7592 => Listed in notes
2012-07-25 15:15 cindy Note Added: 0005700
2012-07-25 15:15 cindy Status feedback => resolved
2012-07-25 15:15 cindy Resolution reopened => fixed
2012-07-26 09:59 greg Note Added: 0005707
2012-07-26 09:59 greg Status resolved => closed


Copyright © 2000 - 2017 MantisBT Team
Powered by Mantis Bugtracker